[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TMasterParamsDataLink.CopyParamsFromMaster

Copy parameter values from master dataset.

## Declaration

Source position: db.pas line 1892

`public procedure TMasterParamsDataLink.CopyParamsFromMaster(`
`CopyBound: Boolean`
`); virtual;`

## Arguments

`CopyBound` |  | Should Bound parameters also get a new value ?

## Description

CopyParamsFromMaster calls TParams.CopyParamValuesFromDataset, passing it the master dataset: it provides the parameters of the detail dataset with their new values. If CopyBound is false, then only parameters with their Bound property set to False are copied. If it is True then the value is set for all parameters.

## Errors

If the master dataset does not have a corresponding field for each parameter, then an exception will be raised.

## See also

TParams.CopyParamValuesFromDataset |  | Copy parameter values from the fields in a dataset.
TParam.Bound |  | Is the parameter value bound (set to fixed value)